Bug 215257 - [maintainer-update] sysutils/qtpass update to version 1.1.6
Summary: [maintainer-update] sysutils/qtpass update to version 1.1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-12 22:46 UTC by Anne Jan Brouwer
Modified: 2016-12-28 13:02 UTC (History)
0 users

See Also:


Attachments
patch from 1.1.5 to 1.1.6 (794 bytes, patch)
2016-12-12 22:46 UTC, Anne Jan Brouwer
brouwer: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anne Jan Brouwer 2016-12-12 22:46:31 UTC
Created attachment 177920 [details]
patch from 1.1.5 to 1.1.6

Both portlint and poudriere were clean..

There is a problem with the build-in "fallback" password generator, it's use is discouraged.
Current fixed version is less bad but still not cryptographically safe and sound! Please use `pwgen` only.
For more information please take a look at https://github.com/IJHack/QtPass/issues/238 PRNG seeding is done totally wrong

* Short fullname would hang QtPass keypair generation process for infinite time #202
* keygendialog email and name validition (issue 202) #203 (dakk)
* Better seeder for qrand() as noted in #238
* Lookup validity field to check if keys are valid #201 (thotypous)
* View box no longer trimming whitespace #210
* QtPass starts by searching for -psn_0_12345 on macOS #213
* Allow ssh links #211 (cgonzalez)
* Increase maximum password length to 255 #209 (vladimiroff)
* Updated German Translation #206 (jounathaen)
* Better seeder for qrand() as noted in #238
* Italian translation #204 (dakk)
* Translated for Simplified Chinese. #208
Comment 1 Anne Jan Brouwer 2016-12-13 00:16:29 UTC
Comment on attachment 177920 [details]
patch from 1.1.5 to 1.1.6

Checked and found clean with `poudriere testport -j 11Ramd64 -o sysutils/qtpass` and `portlint -C`
Comment 2 commit-hook freebsd_committer 2016-12-28 13:02:04 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Dec 28 13:01:06 UTC 2016
New revision: 429748
URL: https://svnweb.freebsd.org/changeset/ports/429748

Log:
  - Update to 1.1.6
  - While here, add LICENSE_FILE

  PR:		215257
  Submitted by:	brouwer@annejan.com (maintainer)

Changes:
  head/sysutils/qtpass/Makefile
  head/sysutils/qtpass/distinfo